This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 49651 - Searching for public field/method of a non-public class takes ages
Summary: Searching for public field/method of a non-public class takes ages
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Refactoring (show other bugs)
Version: 4.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Jan Becicka
URL:
Keywords: PERFORMANCE
Depends on: 92030
Blocks:
  Show dependency tree
 
Reported: 2004-09-28 18:07 UTC by Jaroslav Tulach
Modified: 2007-08-14 12:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2004-09-28 18:07:47 UTC
Seem like the search for public field/method of
non public class scans whole sources instead of
checking only the source or package. 

To reproduce search for usages of
Children.Entry.nodes (I tried that on my
lazy_47900 branch on Children.Entry.length, but
there should be no difference, I am affraid).
Comment 1 Daniel Prusa 2004-10-06 16:14:59 UTC
Fixed for fields and methods that are not overriden.

Checking in CallableFeatureImpl.java;
/cvs/java/javacore/src/org/netbeans/modules/javacore/jmiimpl/javamodel/CallableFeatureImpl.java,v
 
new revision: 1.16; previous revision: 1.15
Checking in FeatureImpl.java;
/cvs/java/javacore/src/org/netbeans/modules/javacore/jmiimpl/javamodel/FeatureImpl.java,v
 
new revision: 1.24; previous revision: 1.23
Comment 2 Daniel Prusa 2004-10-06 16:35:16 UTC
decreasing priority to P4
Comment 3 ehucka 2005-03-16 08:47:19 UTC
old tagret milestone, please re-evaluate
Comment 4 Jan Becicka 2007-04-18 19:59:27 UTC
Performance was improved.
Comment 5 Jan Becicka 2007-04-19 13:08:22 UTC
Marking as fixed.